#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Regular_15_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, space]
    // (Has no glyph data)
    // Unicode: [0x002D, hyphen]
    0xF4, 0xEF, 0x00, 0x11, 0x01,
    // Unicode: [0x002E, period]
    0xA1, 0x31, 0x2F,
    // Unicode: [0x002F, slash]
    0x00, 0x00, 0x70, 0x06, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x95, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x30,
    0x0C, 0x00, 0x00, 0x59, 0x00, 0x00, 0xE1, 0x00, 0x00, 0x70, 0x08, 0x00, 0x00, 0x1D, 0x00, 0x00,
    0xB4, 0x00, 0x00, 0xB0, 0x04, 0x00, 0x10, 0x0C, 0x00, 0x00,
    // Unicode: [0x0030, zero]
    0x00, 0xE8, 0x8E, 0x00, 0x70, 0x3E, 0xE3, 0x07, 0xF0, 0x05, 0x50, 0x0F, 0xF3, 0x00, 0x00, 0x3F,
    0xE5, 0x00, 0x00, 0x5E, 0xD6, 0x00, 0x00, 0x6D, 0xE5, 0x00, 0x00, 0x5E, 0xF3, 0x00, 0x00, 0x3F,
    0xF0, 0x05, 0x50, 0x0F, 0x70, 0x3E, 0xE3, 0x07, 0x00, 0xE8, 0x8E, 0x00,
    // Unicode: [0x0031, one]
    0x50, 0xC9, 0x0C, 0x00, 0xC4, 0xBA, 0x0D, 0x00, 0x00, 0x70, 0x0D, 0x00, 0x00, 0x70, 0x0D, 0x00,
    0x00, 0x70, 0x0D, 0x00, 0x00, 0x70, 0x0D, 0x00, 0x00, 0x70, 0x0D, 0x00, 0x00, 0x70, 0x0D, 0x00,
    0x00, 0x70, 0x0D, 0x00, 0x10, 0x71, 0x1D, 0x01, 0xF4, 0xFF, 0xFF, 0x4F,
    // Unicode: [0x0032, two]
    0x50, 0xFC, 0x9E, 0x01, 0x90, 0x26, 0xC3, 0x0A, 0x00, 0x00, 0x50, 0x0F, 0x00, 0x00, 0x70, 0x0E,
    0x00, 0x00, 0xE1, 0x08, 0x00, 0x00, 0xDB, 0x00, 0x00, 0x70, 0x2F, 0x00, 0x00, 0xF3, 0x05, 0x00,
    0x10, 0x9E, 0x00, 0x00, 0xB0, 0x1D, 0x11, 0x01, 0xF2, 0xFF, 0xFF, 0x0F,
    // Unicode: [0x0033, three]
    0x80, 0xFD, 0x7D, 0x00, 0x70, 0x24, 0xF4, 0x05, 0x00, 0x00, 0xA0, 0x09, 0x00, 0x00, 0xB0, 0x09,
    0x00, 0x00, 0xE5, 0x02, 0x00, 0xF3, 0x9F, 0x00, 0x00, 0x20, 0xD4, 0x09, 0x00, 0x00, 0x50, 0x0F,
    0x00, 0x00, 0x50, 0x0F, 0x71, 0x13, 0xD4, 0x09, 0xB1, 0xFE, 0x8E, 0x00,
    // Unicode: [0x0034, four]
    0x00, 0x00, 0xD1, 0x06, 0x00, 0x00, 0xFA, 0x07, 0x00, 0x60, 0xDD, 0x07, 0x00, 0xF2, 0xD3, 0x07,
    0x00, 0x8C, 0xD0, 0x07, 0x80, 0x0C, 0xD0, 0x07, 0xF3, 0x02, 0xD0, 0x07, 0xFA, 0xFF, 0xFF, 0xAF,
    0x20, 0x22, 0xD2, 0x18, 0x00, 0x00, 0xD0, 0x07, 0x00, 0x00, 0xC0, 0x06,
    // Unicode: [0x0035, five]
    0x40, 0xFF, 0xFF, 0x06, 0x60, 0x1D, 0x11, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x80, 0x0B, 0x00, 0x00,
    0x80, 0xEF, 0x6C, 0x00, 0x00, 0x22, 0xE6, 0x08, 0x00, 0x00, 0x60, 0x0F, 0x00, 0x00, 0x30, 0x1F,
    0x00, 0x00, 0x60, 0x0F, 0x91, 0x24, 0xE5, 0x09, 0xA1, 0xFE, 0x8D, 0x00,
    // Unicode: [0x0036, six]
    0x00, 0x00, 0xE8, 0x00, 0x00, 0xB0, 0x6E, 0x00, 0x00, 0xEA, 0x02, 0x00, 0x40, 0x3F, 0x00, 0x00,
    0xC0, 0x0B, 0x00, 0x00, 0xF0, 0xDC, 0xAE, 0x01, 0xF3, 0x37, 0xC3, 0x0C, 0xF2, 0x00, 0x20, 0x1F,
    0xF0, 0x03, 0x20, 0x1F, 0xA0, 0x3C, 0xC3, 0x0B, 0x10, 0xFA, 0xAE, 0x01,
    // Unicode: [0x0037, seven]
    0xF2, 0xFF, 0xFF, 0x4F, 0x10, 0x11, 0x61, 0x1F, 0x00, 0x00, 0xC0, 0x09, 0x00, 0x00, 0xF4, 0x02,
    0x00, 0x00, 0xBB, 0x00, 0x00, 0x20, 0x4F, 0x00, 0x00, 0xA0, 0x0C, 0x00, 0x00, 0xF1, 0x05, 0x00,
    0x00, 0xD8, 0x00, 0x00, 0x10, 0x6F, 0x00, 0x00, 0x60, 0x0E, 0x00, 0x00,
    // Unicode: [0x0038, eight]
    0x00, 0xE9, 0xAE, 0x00, 0x80, 0x3D, 0xC2, 0x09, 0xC0, 0x07, 0x60, 0x0D, 0xA0, 0x0B, 0x90, 0x0C,
    0x30, 0xCF, 0xE9, 0x03, 0x40, 0xBE, 0xEF, 0x04, 0xF0, 0x08, 0xA0, 0x0F, 0xF3, 0x01, 0x10, 0x3F,
    0xF1, 0x02, 0x20, 0x2F, 0xC0, 0x3C, 0xB3, 0x0C, 0x10, 0xEA, 0xAE, 0x01,
    // Unicode: [0x0039, nine]
    0x00, 0xE9, 0xAF, 0x01, 0xB0, 0x3C, 0xC3, 0x0A, 0xF1, 0x03, 0x20, 0x1F, 0xF1, 0x02, 0x00, 0x3F,
    0xD0, 0x1A, 0x40, 0x3F, 0x20, 0xFD, 0xDF, 0x1F, 0x00, 0x10, 0x90, 0x0C, 0x00, 0x00, 0xF2, 0x05,
    0x00, 0x10, 0xBD, 0x00, 0x00, 0xE5, 0x0C, 0x00, 0x00, 0x8E, 0x00, 0x00,
    // Unicode: [0x0041, A]
    0x00, 0x40, 0x7F, 0x00, 0x00, 0x00, 0xA0, 0xDE, 0x00, 0x00, 0x00, 0xF0, 0xF7, 0x03, 0x00, 0x00,
    0xE5, 0xD0, 0x08, 0x00, 0x00, 0x9B, 0x70, 0x0E, 0x00, 0x10, 0x4F, 0x20, 0x3F, 0x00, 0x60, 0x0E,
    0x00, 0x9D, 0x00, 0xB0, 0xFF, 0xFF, 0xEF, 0x00, 0xF1, 0x25, 0x22, 0xF4, 0x04, 0xE6, 0x00, 0x00,
    0xC0, 0x09, 0x8B, 0x00, 0x00, 0x60, 0x0E,
    // Unicode: [0x0042, B]
    0xF7, 0xFF, 0x8D, 0x00, 0xC8, 0x22, 0xE5, 0x08, 0xC8, 0x00, 0x80, 0x0D, 0xC8, 0x00, 0x80, 0x0D,
    0xC8, 0x00, 0xE3, 0x06, 0xF8, 0xFF, 0xBF, 0x00, 0xD8, 0x22, 0xB4, 0x0C, 0xC8, 0x00, 0x10, 0x4F,
    0xC8, 0x00, 0x10, 0x4F, 0xD8, 0x22, 0xB3, 0x1E, 0xF7, 0xFF, 0xAE, 0x02,
    // Unicode: [0x0043, C]
    0x00, 0x91, 0xFE, 0xBE, 0x03, 0xE1, 0x5C, 0x42, 0x59, 0x90, 0x0D, 0x00, 0x00, 0x00, 0x7E, 0x00,
    0x00, 0x00, 0xF1, 0x04, 0x00, 0x00, 0x20, 0x3F, 0x00, 0x00, 0x00, 0xF1, 0x04, 0x00, 0x00, 0x00,
    0x7E, 0x00, 0x00, 0x00, 0xA0, 0x0D, 0x00, 0x00, 0x00, 0xE2, 0x5C, 0x42, 0x88, 0x00, 0x92, 0xFE,
    0xBE, 0x03,
    // Unicode: [0x0045, E]
    0xF7, 0xFF, 0xFF, 0x86, 0x2C, 0x22, 0x02, 0xC8, 0x00, 0x00, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00,
    0x00, 0x80, 0xFF, 0xFF, 0x0E, 0xD8, 0x22, 0x22, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00, 0x00, 0x80,
    0x2D, 0x22, 0x02, 0xF7, 0xFF, 0xFF, 0x06,
    // Unicode: [0x0049, I]
    0xB7, 0xC8, 0xC8, 0xC8, 0xC8, 0xC8, 0xC8, 0xC8, 0xC8, 0xC8, 0xB7,
    // Unicode: [0x004C, L]
    0xB7, 0x00, 0x00, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00, 0x00, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00,
    0x00, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00, 0x00, 0x80, 0x0C, 0x00, 0x00, 0xC8, 0x00, 0x00, 0x80,
    0x2D, 0x22, 0x02, 0xF7, 0xFF, 0xFF, 0x02,
    // Unicode: [0x004E, N]
    0xE9, 0x01, 0x00, 0xD0, 0xA6, 0xAF, 0x00, 0x00, 0x7E, 0xDA, 0x4F, 0x00, 0xE0, 0xA7, 0xAA, 0x0E,
    0x00, 0x7E, 0xAA, 0xE1, 0x09, 0xE0, 0xA7, 0x0A, 0xF5, 0x03, 0x7E, 0xAA, 0x00, 0xDB, 0xE0, 0xA7,
    0x0A, 0x20, 0x7F, 0x7E, 0xAA, 0x00, 0x70, 0xEF, 0xA7, 0x0A, 0x00, 0xC0, 0x7F, 0x99, 0x00, 0x00,
    0xF2, 0x06,
    // Unicode: [0x004F, O]
    0x00, 0xA1, 0xFE, 0x9E, 0x01, 0x00, 0xE1, 0x4C, 0x42, 0xEC, 0x01, 0x90, 0x0D, 0x00, 0x00, 0x9E,
    0x00, 0x7E, 0x00, 0x00, 0x80, 0x0E, 0xF1, 0x04, 0x00, 0x00, 0xF5, 0x20, 0x3F, 0x00, 0x00, 0x40,
    0x1F, 0xF1, 0x04, 0x00, 0x00, 0xF5, 0x00, 0x7E, 0x00, 0x00, 0x80, 0x0E, 0x90, 0x0E, 0x00, 0x10,
    0x8E, 0x00, 0xE1, 0x4C, 0x52, 0xDD, 0x01, 0x00, 0x91, 0xFE, 0x9E, 0x01, 0x00,
    // Unicode: [0x0050, P]
    0xFA, 0xFF, 0xAE, 0x01, 0xAB, 0x22, 0xD4, 0x0C, 0x9B, 0x00, 0x50, 0x0F, 0x9B, 0x00, 0x50, 0x0F,
    0x9B, 0x00, 0xC1, 0x0C, 0xFB, 0xFF, 0xCF, 0x02, 0xAB, 0x22, 0x01, 0x00, 0x9B, 0x00, 0x00, 0x00,
    0x9B, 0x00, 0x00, 0x00, 0x9B, 0x00, 0x00, 0x00, 0x8A, 0x00, 0x00, 0x00,
    // Unicode: [0x0051, Q]
    0x00, 0x91, 0xFE, 0x9E, 0x01, 0x00, 0xE1, 0x4C, 0x52, 0xDD, 0x01, 0x90, 0x0E, 0x00, 0x10, 0x8F,
    0x00, 0x8E, 0x00, 0x00, 0x80, 0x0E, 0xF1, 0x05, 0x00, 0x00, 0xF5, 0x10, 0x3F, 0x00, 0x00, 0x40,
    0x1F, 0xF0, 0x05, 0x00, 0x00, 0xF5, 0x00, 0x8E, 0x00, 0x00, 0x80, 0x0E, 0x90, 0x0E, 0x00, 0x10,
    0x8F, 0x00, 0xE1, 0x5D, 0x53, 0xDD, 0x01, 0x00, 0xA1, 0xFF, 0xAF, 0x01, 0x00, 0x00, 0x20, 0xE8,
    0xBF, 0x06, 0x00, 0x00, 0x00, 0x50, 0xFB, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00,
    // Unicode: [0x0053, S]
    0x20, 0xEA, 0xBF, 0x03, 0xCD, 0x33, 0x38, 0xF2, 0x02, 0x00, 0x20, 0x5F, 0x00, 0x00, 0xB0, 0x9F,
    0x02, 0x00, 0x70, 0xFE, 0x1A, 0x00, 0x00, 0xF6, 0x0A, 0x00, 0x00, 0xF7, 0x00, 0x00, 0x70, 0x4E,
    0x5B, 0x53, 0x8E, 0x91, 0xFE, 0x8E, 0x00,
    // Unicode: [0x0061, a]
    0x50, 0xFC, 0xBF, 0x02, 0x60, 0x26, 0xA2, 0x0C, 0x00, 0x00, 0x40, 0x0F, 0x10, 0xD9, 0xFE, 0x0F,
    0xE0, 0x4C, 0x52, 0x0F, 0xF3, 0x02, 0x40, 0x0F, 0xF1, 0x06, 0xD4, 0x0F, 0x60, 0xFE, 0x4C, 0x1E,
    // Unicode: [0x0062, b]
    0x7A, 0x00, 0x00, 0xB0, 0x08, 0x00, 0x00, 0x8B, 0x00, 0x00, 0xB0, 0xBB, 0xDF, 0x05, 0xDB, 0x25,
    0xF8, 0xB2, 0x08, 0x00, 0x8D, 0x8B, 0x00, 0xA0, 0xBA, 0x08, 0x00, 0xAA, 0x8B, 0x00, 0xD0, 0xB8,
    0x6F, 0x82, 0x2F, 0x5A, 0xFA, 0x5E, 0x00,
    // Unicode: [0x0063, c]
    0x00, 0xE8, 0xDF, 0x05, 0xE9, 0x24, 0x24, 0xF0, 0x05, 0x00, 0x20, 0x2F, 0x00, 0x00, 0xF3, 0x02,
    0x00, 0x00, 0x5F, 0x00, 0x00, 0xA0, 0x4E, 0x42, 0x04, 0x80, 0xFD, 0x7E,
    // Unicode: [0x0064, d]
    0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x3F, 0x00, 0xFA, 0x8E, 0x3F,
    0x90, 0x4D, 0x83, 0x3F, 0xF0, 0x05, 0x00, 0x3F, 0xF2, 0x02, 0x00, 0x3F, 0xF2, 0x02, 0x00, 0x3F,
    0xF0, 0x05, 0x00, 0x3F, 0x90, 0x3D, 0xB3, 0x4F, 0x10, 0xFB, 0x6D, 0x4C,
    // Unicode: [0x0065, e]
    0x00, 0xE9, 0xCF, 0x03, 0x80, 0x3D, 0x92, 0x0E, 0xF0, 0x04, 0x00, 0x4F, 0xF1, 0xFF, 0xFF, 0x5F,
    0xF2, 0x25, 0x22, 0x01, 0xF0, 0x07, 0x00, 0x00, 0x90, 0x5E, 0x42, 0x0A, 0x00, 0xD8, 0xEF, 0x09,
    // Unicode: [0x0067, g]
    0x10, 0xEA, 0xFF, 0xDF, 0xB0, 0x4C, 0xC4, 0x2C, 0xF0, 0x06, 0x50, 0x0F, 0xC0, 0x0A, 0xA0, 0x0C,
    0x20, 0xFE, 0xDF, 0x02, 0x80, 0x3C, 0x01, 0x00, 0x80, 0xBF, 0x58, 0x01, 0x60, 0x9E, 0xEB, 0x3F,
    0xE5, 0x01, 0x00, 0x9C, 0xF6, 0x25, 0x62, 0x5F, 0x80, 0xFD, 0xCF, 0x05,
    // Unicode: [0x0069, i]
    0xAA, 0x55, 0x00, 0x99, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x99,
    // Unicode: [0x006B, k]
    0xA8, 0x00, 0x00, 0x90, 0x0A, 0x00, 0x00, 0xA9, 0x00, 0x00, 0x90, 0x0A, 0xA0, 0x0B, 0xA9, 0xA0,
    0x0C, 0x90, 0x9A, 0x1D, 0x00, 0xE9, 0x3F, 0x00, 0x90, 0xBA, 0x0D, 0x00, 0xA9, 0xE1, 0x09, 0x90,
    0x0A, 0xF3, 0x05, 0x98, 0x00, 0xE7, 0x01,
    // Unicode: [0x006C, l]
    0x6B, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x7C, 0x00,
    0x7C, 0x00, 0xAA, 0x01, 0xD3, 0x2F,
    // Unicode: [0x006E, n]
    0x6C, 0xEA, 0x5D, 0xB0, 0x3E, 0x60, 0x1F, 0x8B, 0x00, 0xF0, 0xB3, 0x08, 0x00, 0x3F, 0x8B, 0x00,
    0xF0, 0xB3, 0x08, 0x00, 0x3F, 0x8B, 0x00, 0xF0, 0xA3, 0x07, 0x00, 0x3F,
    // Unicode: [0x006F, o]
    0x00, 0xE8, 0xCF, 0x04, 0x80, 0x4E, 0x82, 0x1F, 0xF0, 0x05, 0x00, 0x7D, 0xF1, 0x03, 0x00, 0xAA,
    0xF1, 0x03, 0x00, 0xAA, 0xF0, 0x05, 0x00, 0x8D, 0x80, 0x4D, 0x82, 0x2F, 0x00, 0xE9, 0xCF, 0x04,
    // Unicode: [0x0070, p]
    0x6C, 0xEA, 0x5E, 0xB0, 0x4E, 0x50, 0x2F, 0x8B, 0x00, 0xC0, 0xB8, 0x08, 0x00, 0xAA, 0x8B, 0x00,
    0xA0, 0xBA, 0x08, 0x00, 0x8D, 0xDB, 0x25, 0xF8, 0xB2, 0xBB, 0xDF, 0x05, 0x8B, 0x00, 0x00, 0xB0,
    0x08, 0x00, 0x00, 0x7A, 0x00, 0x00, 0x00,
    // Unicode: [0x0072, r]
    0x7B, 0xEC, 0xA0, 0x6F, 0x04, 0x9A, 0x00, 0xA0, 0x09, 0x00, 0x9A, 0x00, 0xA0, 0x09, 0x00, 0x9A,
    0x00, 0x90, 0x08, 0x00,
    // Unicode: [0x0073, s]
    0x60, 0xFE, 0x0C, 0xF2, 0x25, 0x05, 0xF3, 0x03, 0x00, 0xA0, 0xCF, 0x05, 0x00, 0x71, 0x4F, 0x00,
    0x00, 0x8B, 0x62, 0x32, 0x5E, 0xB2, 0xEF, 0x08,
    // Unicode: [0x0074, t]
    0x30, 0x0D, 0x00, 0xD5, 0x00, 0xF6, 0xFF, 0x05, 0xD7, 0x01, 0x60, 0x0D, 0x00, 0xD6, 0x00, 0x60,
    0x0D, 0x00, 0xD6, 0x00, 0x40, 0x2F, 0x00, 0xA0, 0x8F,
    // Unicode: [0x0075, u]
    0x5D, 0x00, 0xF2, 0xE0, 0x06, 0x30, 0x1F, 0x6E, 0x00, 0xF3, 0xE1, 0x06, 0x30, 0x1F, 0x6E, 0x00,
    0xF3, 0xD1, 0x06, 0x30, 0x1F, 0xCA, 0x21, 0xFB, 0x21, 0xFC, 0x4D, 0x2E,
    // Unicode: [0x0078, x]
    0xF5, 0x02, 0xB0, 0x09, 0xDC, 0x70, 0x1E, 0x20, 0xAF, 0x5F, 0x00, 0x60, 0xAF, 0x00, 0x00, 0xF9,
    0x0D, 0x00, 0xF3, 0xF6, 0x08, 0xD0, 0x09, 0xF6, 0x83, 0x0D, 0x00, 0xCA
};
